/* Reset and Global Styles */
* {
    margin: 0;
    padding: 0;
    border: 0;
    outline: 0;
    font-size: 100%;
    vertical-align: baseline;
    background: transparent;
    box-sizing: border-box;
}

html, body {
    height: 100%;
    font-family: 'Roboto', sans-serif;
    color: #333; /* Dark gray text color */
    margin: 0;
    padding: 0; /* Remove default padding */
    overflow-x: hidden; /* Prevent horizontal scrollbar */
}

#container-fluid {
    margin: 0;
    padding: 0; 
}

/* Navbar Layout */
.navbar {
    background-color: #292b2c; /* Dark gray background */
}

.navbar-toggler-icon {
    background-color: #fff; /* White background for toggler icon */
}

.nav-link {
    color: #fff; /* White text color */
    padding: 12px 20px;
    border-radius: 8px;
    transition: background-color 0.3s, transform 0.3s;
}

.nav-link:hover {
    background-color: #555; /* Slightly darker gray on hover */
    transform: scale(1.03);
    color: #fff; /* White text color on hover */
}

.nav-link.active {
    background-color: #555; /* Slightly darker gray for active link */
}

.nav-link i {
    margin-right: 15px;
    font-size: 1.2em;
    color: #fff; /* White icon color */
}

.nav-link span {
    font-weight: 600;
}

.navbar-brand {
    color: #fff; /* White text color for brand */
}

.navbar-toggler {
    border: none;
}

.content-main {
    /*background-color: #202020; */
}

/* Branding Styles */
.branding {
    display: flex;
    align-items: center;
    margin-bottom: 20px;
    color: #fff; /* White text color */
}

.branding img {
    width: 40px;
    height: 40px;
    margin-right: 10px;
}

/* Sidebar and Content Layout */
.sidebar {
    width: 13%;
    max-width: 280px;
    height: 90vh;
    background-color: #292b2c;
    color: #fff;
    overflow-y: auto;
    box-shadow: 3px 0px 15px rgba(0, 0, 0, 0.2);
    float: left;
    margin: 0;
    padding: 0;
}

.content {
    width: 87%;
    float: right;
}

/* Sidebar Body Styles */
.sidebar-body {
    min-height: 90vh;
    min-height: -webkit-fill-available;
    padding: 20px;
}

.sidebar-main {
    height: 90vh;
    height: -webkit-fill-available;
    max-height: 90vh;
    overflow-x: auto;
    overflow-y: hidden;
}

.footer {
    background-color: #292b2c; /* Dark gray footer background */
    color: #fff; /* White text color for footer */
    padding: 10px 0;
    text-align: center;
    position: absolute;
    bottom: 0;
    width: 100%;
}

.footer p {
    margin: 0;
}

/* Button Styles */
.btn-toggle {
    padding: .25rem .5rem;
    font-weight: 600;
    color: #333; /* Dark gray text color for button */
    background-color: #fff; /* White button background */
}

.btn-toggle:hover,
.btn-toggle:focus {
    color: #555; /* Slightly darker gray text color on hover */
    background-color: #ddd; /* Light gray background on hover */
}

.btn-toggle::before {
    width: 1.25em;
    line-height: 0;
    content: url("data:image/svg+xml,%3csvg xmlns='http://www.w3.org/2000/svg' width='16' height='16' viewBox='0 0 16 16'%3e%3cpath fill='none' stroke='rgba%280,0,0,.5%29' stroke-linecap='round' stroke-linejoin='round' stroke-width='2' d='M5 14l6-6-6-6'/%3e%3c/svg%3e");
    transition: transform .35s ease;
    transform-origin: .5em 50%;
}

/* Additional CSS for responsiveness */
@media (max-width: 768px) {
    .sidebar-body {
        height: auto;
    }

    .sidebar-main {
        max-width: 100%;
    }
}
